#!/bin/sh

set -e

NAME="sfive-mysql"
IMG="mysql"
ROOT_PWD="NyDg7Eoa1gNJUMwhVqmA"
PERSIST_D="/srv/build/sfive/mysql"

create() {
  mkdir -p "$PERSIST_D/data"
  sudo docker run --detach --rm --name "$NAME" -e MYSQL_ROOT_PASSWORD="$ROOT_PWD" -v "$PERSIST_D/data:/var/lib/mysql" "$IMG:$1"
}

stop() {
  sudo docker stop "$NAME"
}

logs() {
  sudo docker logs "$NAME" $@
}

client() {
  sudo docker exec -it "$NAME" mysql -p"$ROOT_PWD"
}

case "$1" in
  create)
    if [ -z "$2" ]; then
       echo "Please specify a version"
       exit 1
    fi
    create "$2"
    ;;
  stop)
    stop
    ;;
  upgrade)
    if [ -z "$2" ]; then
       echo "Please specify a version"
       exit 1
    fi
    tag="$2"
    sudo docker pull "$IMG:$tag"
    stop
    create "$tag"
    ;;
  logs)
    shift
    logs $@
    ;;
  client)
    shift
    client $@
    ;;
  *)
    echo "Usage $0 (create|stop|upgrade|logs|client)"
    exit 1
    ;;
esac

exit 0
